Subject: Re: [PATCH bpf-next 3/4] bpf: Remove kfunc support in prologue and epilogue

From: Jakub Sitnicki <[email-masked]>
Date: Wed, 21 Jan 2026 10:54:04 +0100

On Mon, Jan 19, 2026 at 02:55 PM -08, Eduard Zingerman wrote:
> I think that patches #3 and #4 have to be swapped, otherwise there is
> a selftest failure when only patches #1-3 are applied:
>
>   #281/17  pro_epilogue/syscall_pro_epilogue:FAIL
>
> If we want to keep selftests passing for arbitrary bisects.

I don't have an opinion. I assumed it'd get applied as a batch without
fast forward, so bisect would be going over merge commits.